io.milvus.param.control

## Class GetReplicasParam.Builder

- java.lang.Object
- - io.milvus.param.control.GetReplicasParam.Builder

Enclosing class:
  GetReplicasParam

    public static final class GetReplicasParam.Builder
    extends java.lang.Object

Builder for `GetReplicasParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`GetReplicasParam` `build()` Verifies parameters and creates a new `GetReplicasParam` instance.
`GetReplicasParam.Builder` `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
`GetReplicasParam.Builder` `withDatabaseName(@NonNull java.lang.String databaseName)` Sets the database name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withDatabaseName

    public GetReplicasParam.Builder withDatabaseName(@NonNull
                                                     @NonNull java.lang.String databaseName)

Sets the database name. Database name cannot be empty or null.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### withCollectionName

    public GetReplicasParam.Builder withCollectionName(@NonNull
                                                       @NonNull java.lang.String collectionName)

Sets the collection name. Collection name cannot be empty or null.

Parameters:
  `collectionName` - collection name
Returns:
  `Builder`

#### build

    public GetReplicasParam build()
                           throws ParamException

Verifies parameters and creates a new `GetReplicasParam` instance.

Returns:
  `GetReplicasParam`
Throws:
  `ParamException`